﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="ModelEmployee.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="ms_employe">
          <Key>
            <PropertyRef Name="pk_ms_employee" />
          </Key>
          <Property Name="pk_ms_employee" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="employee_code" Type="varchar" MaxLength="20" />
          <Property Name="name" Type="varchar" MaxLength="50" />
          <Property Name="position" Type="varchar" MaxLength="20" />
        </EntityType>
        <EntityType Name="ms_user">
          <Key>
            <PropertyRef Name="pk_ms_user_id" />
          </Key>
          <Property Name="pk_ms_user_id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="username" Type="varchar" MaxLength="20" />
          <Property Name="password" Type="varchar" MaxLength="20" />
          <Property Name="email" Type="varchar" MaxLength="100" />
          <Property Name="role" Type="varchar" MaxLength="10" />
        </EntityType>
        <EntityContainer Name="ModelEmployeeStoreContainer">
          <EntitySet Name="ms_employe" EntityType="Self.ms_employe" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="ms_user" EntityType="Self.ms_user" Schema="dbo" store:Type="Tables" />
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="ModelEmployee" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="ms_employe">
          <Key>
            <PropertyRef Name="pk_ms_employee" />
          </Key>
          <Property Name="pk_ms_employee" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="employee_code" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Name="name" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="position" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityType Name="ms_user">
          <Key>
            <PropertyRef Name="pk_ms_user_id" />
          </Key>
          <Property Name="pk_ms_user_id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="username" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Name="password" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Name="email" Type="String" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Name="role" Type="String" MaxLength="10" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityContainer Name="EmployeeContext" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="ms_employe" EntityType="Self.ms_employe" />
          <EntitySet Name="ms_user" EntityType="Self.ms_user" />
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="ModelEmployeeStoreContainer" CdmEntityContainer="EmployeeContext">
          <EntitySetMapping Name="ms_employe">
            <EntityTypeMapping TypeName="ModelEmployee.ms_employe">
              <MappingFragment StoreEntitySet="ms_employe">
                <ScalarProperty Name="pk_ms_employee" ColumnName="pk_ms_employee" />
                <ScalarProperty Name="employee_code" ColumnName="employee_code" />
                <ScalarProperty Name="name" ColumnName="name" />
                <ScalarProperty Name="position" ColumnName="position" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="ms_user">
            <EntityTypeMapping TypeName="ModelEmployee.ms_user">
              <MappingFragment StoreEntitySet="ms_user">
                <ScalarProperty Name="pk_ms_user_id" ColumnName="pk_ms_user_id" />
                <ScalarProperty Name="username" ColumnName="username" />
                <ScalarProperty Name="password" ColumnName="password" />
                <ScalarProperty Name="email" ColumnName="email" />
                <ScalarProperty Name="role" ColumnName="role" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>